net.fortuna.ical4j.util

## Class DecoderFactory

- java.lang.Object
- - net.fortuna.ical4j.util.DecoderFactory

Direct Known Subclasses:
  DefaultDecoderFactory

    public abstract class DecoderFactory
    extends Object

Abstract base class for decoder factory implementations. $Id$ Created on 13/05/2006

Author:
  Ben Fortuna

### Field Summary

Fields
`static String` `KEY_FACTORY_CLASS` The system property used to specify an alternate `DecoderFactory` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DecoderFactory()`

### Method Summary

Methods
`abstract org.apache.commons.codec.BinaryDecoder` `createBinaryDecoder(Encoding encoding)` Returns a new `BinaryDecoder` for the specified encoding.
`abstract org.apache.commons.codec.StringDecoder` `createStringDecoder(Encoding encoding)` Returns a new `StringDecoder` for the specified encoding.
`static DecoderFactory` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_FACTORY_CLASS

    public static final String KEY_FACTORY_CLASS

The system property used to specify an alternate `DecoderFactory` implementation.

See Also:
  Constant Field Values

### Constructor Detail

#### DecoderFactory

    public DecoderFactory()

### Method Detail

#### getInstance

    public static final DecoderFactory getInstance()

Returns:
  Returns the instance.

#### createBinaryDecoder

    public abstract org.apache.commons.codec.BinaryDecoder createBinaryDecoder(Encoding encoding)
                                                                        throws UnsupportedEncodingException

Returns a new `BinaryDecoder` for the specified encoding.

Parameters:
  `encoding` - an encoding type
Returns:
  a `BinaryDecoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

#### createStringDecoder

    public abstract org.apache.commons.codec.StringDecoder createStringDecoder(Encoding encoding)
                                                                        throws UnsupportedEncodingException

Returns a new `StringDecoder` for the specified encoding.

Parameters:
  `encoding` - an encoding type
Returns:
  a `StringDecoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.